.fancybox__slide {
    opacity: 0;
    transform: scale(1);
    transition: 0.3s ease;
}

.fancybox__slide.is-selected {
    opacity: 1;
    transform: scale(1.3);
}

.modal {
	width: max-content;
	display: none;
}

.modal__inner {
	width: 600px;
	height: 400px;
	display: grid;
	overflow: hidden;
}

.modal--default .modal__inner {
	background-image: url(../../img/modals/modal-offer-bg-desk.webp);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.modal-credit .modal__inner {
	background-image: url(../../img/modals/modal-credit-bg-desk.webp);
}

.modal__content {
	padding: 20px;
	display: flex;
	flex-direction: column;
	height: 100%;
}

.modal-title {
	font-weight: 500;
	font-size: 28px;
	line-height: 1;
	text-transform: uppercase;
	color: var(--color-white);
	margin-bottom: 15px;
}

.modal-subtitle {
	font-weight: 400;
	font-size: 20px;
	line-height: 1;
	color: var(--color-white);
}

.modal__form {
	margin-top: auto;
	display: flex;
	flex-direction: column;
	width: 263px;
	gap: 10px;
}

.modal__form-input {
	background-color: var(--color-white);
	height: 36px;
	padding: 0 16px;
	color: #757575;
	font-size: 12px;
	border: 1px solid transparent;
}

.modal__form-btn {
	width: 100%;
	display: flex;
	justify-content: center;
	font-weight: 400;
	font-size: 14px;
}

.modal__form-agreement {
	margin: 2px 0 0;
}

.modal__form .agreement__text,
.modal__form .agreement p {
	font-size: 8px;
	line-height: 1;
}

.modal__inner--send {
	width: 600px;
	height: 400px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;

	background-image: url(../../img/modals/modal-thx-bg-desk.webp);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	color: var(--color-black);
}

.modal--thanks .modal__inner,
.modal--error .modal__inner {
	width: 600px;
	height: 400px;
	display: flex;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	color: var(--color-white);
}

.modal--thanks .modal__inner {
	background-image: url(../../img/modals/modal-thx-bg-desk.webp);
}

.modal--error .modal__inner {
	background-image: url(../../img/modals/modal-err-bg-desk.webp);
}

.modal--thanks .modal__content,
.modal--error .modal__content {
	display: flex;
	align-items: center;
	padding-top: 46px;
	margin: 0 auto;
}

.modal__send-message {
	display: flex;
	flex-direction: column;
}

.modal__send-title {
	font-weight: 500;
	font-size: 34px;
	line-height: 1;
	text-transform: uppercase;
	margin-bottom: 10px;
	text-align: center;
}

.modal__send-text {
	font-weight: 400;
	font-size: 20px;
	line-height: 1;
	text-align: center;
}

.modal__send-text br {
	display: none;
}

.modal .agreement__item {
    gap: 11px;
}

.modal .form-guard__banner {
    width: 313px;
    max-width: 313px;
}

.modal .form-guard__banner-text {
    font-size: 12px;
}

@media screen and (max-width: 1023px) {
	.modal--default .modal__inner {
		width: 322px;
		height: 550px;
		max-width: 100%;
		display: flex;
		flex-direction: column;
		background-image: url(../../img/modals/modal-offer-bg-mob.webp);
	}

	.modal-credit .modal__inner {
		background-image: url(../../img/modals/modal-credit-bg-mob.webp);
	}

	.modal--default .modal__content {
		padding: 30px 27px;
		/* padding-bottom: 10px; */
	}

	.modal-title {
		font-size: 17px;
		margin-bottom: 11px;
	}

	.modal-subtitle {
		font-size: 14px;
	}

	.modal__form {
		width: 100%;
		gap: 3px;
	}

	.modal__form-input {
		font-size: 12px;
		padding: 0 16px;
		text-align: left;
	}

	.modal__form .custom-checkbox-text {
		font-size: 10px;
		max-width: 100%;
	}

	.modal__form {
		gap: 10px;
	}

	.modal__inner--send {
		width: 322px;
		height: 428px;
		padding: 40px 20px;
		background-image: url(../../img/modals/modal-thx-bg-mob.webp);
	}

	.modal--thanks .modal__inner,
	.modal--error .modal__inner {
		width: 322px;
		height: 428px;
		max-width: 100%;
		display: flex;
		flex-direction: column;
		background-image: url(../../img/modals/modal-thx-bg-mob.webp);
	}

	.modal--thanks .modal__content,
	.modal--error .modal__content {
		padding-top: 48px;
	}

	.modal__send-title {
		font-size: 22px;
		margin-bottom: 15px;
	}
	.modal__send-text {
		font-size: 14px;
	}

	.modal__send-text br {
		display: block;
	}

	.modal .modal__form-input-name {
		margin-bottom: -7px;
	}

	.modal .form-guard__banner {
		width: 100%;
		max-width: 100%;
	}

	.modal .form-guard__banner.is-visible {
		padding: 10px;
	}

        .fancybox__slide {
        opacity: 0;
        transform: scale(1);
        transition: 0.3s ease;
    }

    .fancybox__slide.is-selected {
        opacity: 1;
        transform: scale(1.2);
    }
}

@media screen and (max-width: 400px) {

        .fancybox__slide {
        opacity: 0;
        transform: scale(1);
        transition: 0.3s ease;
    }

    .fancybox__slide.is-selected {
        opacity: 1;
        transform: scale(1.1);
    }
}
